<?php
declare (strict_types = 1);

namespace app\admin\model\v1;

use app\common\model\ProductInquiryBaseModel;

/**
 * 产品询盘记录模型
 * @mixin \think\Model
 */
class ProductInquiryModel extends ProductInquiryBaseModel
{
    // 根据语言查询
    public function scopeLanguage($query, $value)
    {
        $query->where('language_id', '=', $value);
    }

    // 按公司名称搜索
    public function searchCorpNameAttr($query, $value, $data)
    {
        if (is_null($value)) return;
        $query->where('corp_name', 'like', '%'.$value.'%');
    }

    // 按国家名称搜索
    public function searchCountryNameAttr($query, $value, $data)
    {
        if (is_null($value)) return;
        $query->where('country_name', 'like', '%'.$value.'%');
    }

    // 按提交时间搜索
    public function searchCreatedAtAttr($query, $value, $data)
    {
        if (is_null($value)) return;
        if (is_array($value)) {
            if (count($value) > 1) {
                $query->whereBetweenTime('created_at', $value[0], $value[1]);
            } else {
                $query->whereTime('created_at', '>=', $value[0]);
            }
        }
    }
}
